package com.logicbig.example;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.core.env.ConfigurableEnvironment;
import org.springframework.core.env.StandardEnvironment;

@SpringBootApplication
public class ExampleMain {

    public static void main(String[] args) {
        SpringApplication sa = new SpringApplication(ExampleMain.class);
        //programmatically setting active profile
        ConfigurableEnvironment env = new StandardEnvironment();
        env.setActiveProfiles("dev");
        sa.setEnvironment(env);

        sa.run(args);
    }
}